Bug 6333

Summary: i810 1.5.1.0 requires libshadow 1.1.0 for rotation but xorg-server only has 1.0.0
Product: xorg Reporter: Alexander Baldeck <alexander>
Component: Driver/intelAssignee: Alan Hourihane <alanh>
Status: RESOLVED NOTABUG QA Contact:
Severity: normal    
Priority: high    
Version: 7.0.0   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Alexander Baldeck 2006-03-21 20:48:47 UTC
when enabling:

Option "Rotate" "CCW"

i810 leaves a warning in Xorg.0.log complainging about libshadow being too old
for rotation:

(II) I810(0): libshadow is version 1.0.0, required 1.1.0 or greater for rotation.

an disables rotation completely. i810 1.4.1.3 used to work fine, except that it
disabled Xv, DRI and so on. xorg-server HEAD does not seem to contain libshadow
version 1.1.0 either.

any help apreciated.

xorg.conf and Xorg.0.log can be found here:
http://kth5.archlinuxppc.org/logs/i810-old-libshadow/
Comment 1 Alan Hourihane 2006-03-27 06:32:43 UTC
Not a bug, you've not checked out the correct HEAD code as libshadow 1.1.0
definately is there.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.